import { TypeOrmCrudService } from '@dataui/crud-typeorm';
import { Category } from './entities/category.entity';
export declare class CategoryService extends TypeOrmCrudService<Category> {
    constructor(repo: any);
    getNestedCategories(): Promise<Partial<Category>[]>;
    appendNestedLevel(category: Partial<Category> & {
        level: number;
    }, level?: number): Partial<Category> & {
        level: number;
    };
}
